cls
@echo off
xcopy /E ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\Common\Pre_Processor\*.* .\Pre_Processor\*.*
xcopy /E ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\Common\Models\Application_Model\*.* .\Model\*.*
xcopy /E ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\QAQC\*.* .\QAQC\*.*
copy ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\run_SR_temp_model.bat .\*.*
copy ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\Common\process_calsim_temp_inputs.bat .\*.*
echo.
echo............................................................
echo.           Please select climate scenario
echo.     (q0 represents current climate condition)
echo............................................................
echo.
set /P M=Type q0, q1, q2, q3, q4 or q5, then press ENTER:
if %M%==q0 goto Q0
if %M%==q1 goto Q1
if %M%==q2 goto Q2
if %M%==q3 goto Q3
if %M%==q4 goto Q4
if %M%==q5 goto Q5
:Q0
copy ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\Common\Data\Climate_Inputs\Q0\SAC_AR_metdat.DSS .\Pre_Processor\*.*
..\..\..\..\_Tools\HEC5Q_Toolkit\bin\far .\Model\SR_5QCS.dat "[ClimScen]" "Average"
goto fin
:Q1
copy ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\Common\Data\Climate_Inputs\Q1\SAC_AR_metdat.DSS .\Pre_Processor\*.*
..\..\..\..\_Tools\HEC5Q_Toolkit\bin\far .\Model\SR_5QCS.dat "[ClimScen]" "Q1_2025"
goto fin
:Q2
copy ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\Common\Data\Climate_Inputs\Q2\SAC_AR_metdat.DSS .\Pre_Processor\*.*
..\..\..\..\_Tools\HEC5Q_Toolkit\bin\far .\Model\SR_5QCS.dat "[ClimScen]" "Q2_2025"
goto fin
:Q3
copy ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\Common\Data\Climate_Inputs\Q3\SAC_AR_metdat.DSS .\Pre_Processor\*.*
..\..\..\..\_Tools\HEC5Q_Toolkit\bin\far .\Model\SR_5QCS.dat "[ClimScen]" "Q3_2025"
goto fin
:Q4
copy ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\Common\Data\Climate_Inputs\Q4\SAC_AR_metdat.DSS .\Pre_Processor\*.*
..\..\..\..\_Tools\HEC5Q_Toolkit\bin\far .\Model\SR_5QCS.dat "[ClimScen]" "Q4_2025"
goto fin
:Q5
copy ..\..\..\..\_Tools\HEC5Q_Toolkit\Trinity_Sacramento_Rivers\Common\Data\Climate_Inputs\Q5\SAC_AR_metdat.DSS .\Pre_Processor\*.*
..\..\..\..\_Tools\HEC5Q_Toolkit\bin\far .\Model\SR_5QCS.dat "[ClimScen]" "Q5_2025"
goto fin
:fin